// ConaitoObject.h: interface for the CConaitoObject class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONAITOOBJECT_H__5A1BF845_8A59_4B10_BBF2_98565218411A__INCLUDED_)
#define AFX_CONAITOOBJECT_H__5A1BF845_8A59_4B10_BBF2_98565218411A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ConaitoProxyClientLib/ConaitoVoIP.h"

class CConaitoObject : public CConaitoVoIP  
{
public:
	CConaitoObject();
	~CConaitoObject();

public:

	void ErrorMessage();

public:

	void OnStatusEvent(DWORD dwStatusCode, CString sFromUniqueId);
	void OnTextEvent(CString sTextMsg, CString sFromUniqueId);
	void OnConnectionEvent(CString sFromUniqueId);
	void OnAddConferenceEvent(CString sFromUniqueId);

	void OnConversationConnected(DWORD dwEventHandle, CString sFromUniqueId);	
	void OnConversationAccepted(DWORD dwEventHandle, CString sFromUniqueId);
	void OnConferenceConnected(DWORD dwEventHandle, CString sFromUniqueId);
	void OnConferenceAccepted(DWORD dwEventHandle, CString sFromUniqueId);
	void OnAddConference(DWORD dwEventHandle, CString sFromUniqueId, CString sAddConfUniqueId);
	void OnServerTextEvent(CString sTextMsg);
	void OnWhisperEvent(CString sUniqueId, CString sTextMsg);

};

#endif // !defined(AFX_CONAITOOBJECT_H__5A1BF845_8A59_4B10_BBF2_98565218411A__INCLUDED_)
